package org.cesg.utilidades.mensajes;

import java.awt.Component;

/**
 * MuestraMensajes.java<br/>
 * Interfaz para mostrar mensajaes
 * 
 * @author cesg
 * @version 04.06.2012
 */
public interface MuestraMensajes {

    /**
     * Muestra un mensaje de forma de Atencion.
     * 
     * @param mensaje
     *            texto a mostrar.
     * @param component
     *            componente que envia el mensaje.
     */
    public void mensajeAtencion ( Component component , String mensaje);

    /**
     * Muestra un mensaje de forma de Atencion.
     * 
     * @param mensaje
     *            texto a mostrar.
     */
    public void mensajeAtencion ( String mensaje);

    /**
     * Muestra un mensaje de forma de Atencion.
     * 
     * @param mensaje
     *            texto a mostrar.
     */
    public void mensajeAtencion ( Object mensaje);

    /**
     * Muestra un mensaje de forma de error.
     * 
     * @param mensaje
     *            texto a mostrar.
     * @param component
     *            componente que envia el mensaje.
     */
    public void mensajeError ( Component component , String mensaje);

    /**
     * Muestra un mensaje de forma de error.
     * 
     * @param mensaje
     *            texto a mostrar.
     */
    public void mensajeError ( String mensaje);

    /**
     * Muestra un mensaje de forma de error.
     * 
     * @param mensaje
     *            texto a mostrar.
     */
    public void mensajeError ( Object mensaje);

    /**
     * Muestra un mensaje de forma de informacion
     * 
     * @param mensaje
     *            texto a mostrar.
     * @param component
     *            componente que envia el mensaje.
     */
    public void mensajeInformacion ( Component component , String mensaje);

    /**
     * Muestra un mensaje de forma de informacion
     * 
     * @param mensaje
     *            texto a mostrar.
     */
    public void mensajeInformacion ( String mensaje);

    /**
     * Muestra un mensaje de forma de informacion
     * 
     * @param mensaje
     *            texto a mostrar.
     */
    public void mensajeInformacion ( Object mensaje);
}
